List All Profiles Associated with a Subdomain

Retrieve a list of all the profile documents at a given subdomain. Valid query keys are institution-user-id, includeInvited, isAdmin, skip, limit, search, and sort.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The name of the client subdomain.

Query Params
string

User IDs assigned by client institutions. For instance, ?institution-user-id=0000001 will fetch all the profiles with institution user id 0000001.

boolean

Filter results with userRoles of admin and super.

boolean

Filter results with isInvited values of false or null

number

(For pagination); the total number of results to return, default is 50, max is 20000. For instance, ?limit=10 means the result set is limited to 10 results. Used in conjunction with skip, you can slice the result set, e.g. ?skip=20&limit=10 would give you results 21-31.

number

(For pagination); the number of results to skip over. For instance, ?skip=5 means the first 5 results would be omitted.

string

Will filter results by resume-approval-status. Valid values are "pending", "approved", "denied", and "edited". Multiple statuses can be queried as a comma-separated string (?resumeApprovalStatus=denied,edited). If not used, all profiles are returned regardless of resume-approval-status.

string

A search term to filter by. Searches against email, familyName, and givenName. Note that there needs to be encoding for special characters contained in the search term. For example, if an email contains "jane+doe", it can be searched by jane%2bdoe where "+" is encoded by "%2b". For compound searches, use a comma-separated array (e.g. ?search=samuel,johnson).

string

Sort by createdAt, currentSchoolName, email, familyName, givenName or lastLogin in ascending or descending order. Terms must be camelcased and to sort multiple terms use a , to separate the terms. To order by descending place a - in front of the term. For instance, ?sort=email,-familyName means profiles will sort by emails ascending and then familyName descending. Defaults to createdAt ascending.

Responses

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json